# Class CIM_SupportAccess
extends CIM_ManagedElement

The CIM_SupportAccess association defines how to obtain assistance for a Product.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SupportAccess

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_SupportAccess association defines how to obtain assistance for a Product.
UMLPackagePath | string | CIM::Core::ProductFRU
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CommunicationInfo | string |
Description | string | CommunicationInfo provides the details of the Communication Mode. For example, if the CommunicationMode is 'Phone', CommunicationInfo specifies the phone number to be called.
MappingStrings | string | MIF.DMTF|FRU|002.11, MIF.DMTF|FRU|002.12
CommunicationMode | uint16 |
Description | string | CommunicationMode defines the form of communication in order to obtain support. For example, phone communication (value =2), fax (3) or email (8) can be specified.
MappingStrings | string | MIF.DMTF|Support|001.5
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8
Values | string | Other, Phone, Fax, BBS, Online Service, Web Page, FTP, E-mail
Description | string |
Description | string | A textual description of the type of Support provided.
MappingStrings | string | MIF.DMTF|Support|001.3
Override | string | Description
Locale | string |
Description | string | Locale defines the geographic region and/or language dialect to which this Support resource pertains.
MappingStrings | string | MIF.DMTF|Support|001.2
MaxLen | uint32 | 64
SupportAccessId | string |
Description | string | SupportAccessID is an arbitrary, free form string defined by the Product Vendor or by the organization that deploys the Product. This property, since it is a key, should be unique throughout the enterprise.
Key | boolean | true
MaxLen | uint32 | 256

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods